RK-J - Bug #3006

getPurpleLinksinfoExtFull API takes too much time for url X if o-urls in the system are of the form X/Y
04/27/2023 10:32 AM - Ram Kordale

Status: Closed Start date: 04/27/2023
Priority: High Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

API takes very long for studytonight.com but takes lesser for studytonight.com/tests (non-existent book) and
studytonight.com/operating-system/something.

History

#1 - 06/26/2023 10:07 AM - Venmuhilan B

- Status changed from New to In Progress

#2 - 07/05/2023 06:37 AM - Venmuhilan B
- File Screenshot from 2023-06-30 15-44-03.png added
- File Screenshot from 2023-07-05 12-04-06.png added

- Status changed from In Progress to Resolved

The issue in the ticket is not present anymore(the APl is not taking long time to process the request url 'https://www.studytonight.com/')(refer -
Screenshot from 2023-06-30)

This condition at line no 1491(Screenshot from 2023-07-05) resolved the issue mentioned in the ticket
(!(ourl.replace(ourlPrefix, "").contains("/"))

#3 - 07/05/2023 06:38 AM - Venmuhilan B
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#4 - 07/05/2023 07:52 AM - Venmuhilan B
- % Done changed from 0 to 100

#5 - 07/10/2023 07:53 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

#6 - 07/13/2023 04:51 AM - Ram Kordale
- Status changed from Feedback to Closed

Files
Screenshot from 2023-06-30 15-44-03.png 61.6 KB 07/05/2023 Venmuhilan B
Screenshot from 2023-07-05 12-04-06.png 169 KB 07/05/2023 Venmuhilan B
